/**
 * @jest-environment jsdom
 */
import React from "react";
import { render } from "@testing-library/react";
import TextButton from "../components/elements/TextButton";
/*
  Helper function to make maintaince easier
*/
function renderTextButton(props = {}) {
    const defaultProps = {
        children: '',
        variant: 'dark'
    };
    return render(React.createElement(TextButton, Object.assign({}, defaultProps, props)));
}
describe("<TextButton />", () => {
    test("Should render a non-null text button", async () => {
        const { getByText } = renderTextButton({ children: 'Text Button' });
        const textButton = await getByText("Text Button");
        expect(textButton).not.toBeNull();
    });
    test("Should call the callback on a click", async () => {
        const onClick = jest.fn(x => x);
        const { getByText } = renderTextButton({ children: 'Text Button', onClick });
        const textButton = await getByText("Text Button");
        textButton.click();
        // Check it was called
        expect(onClick.mock.calls.length).toBe(1);
    });
    // TODO: add tests for the component working with href
});
//# sourceMappingURL=TextButton.test.js.map