// Copyright (c) Mito
import React from 'react';
import '../../../css/elements/DropdownItem.css';
import { classNames } from '../../utils/classNames';
/**
 * The DropdownItem component is used to populate the Dropdown component.
 */
const DropdownItem = (props) => {
    const disabled = props.disabled === true;
    const disabledClass = disabled ? 'dropdown-item-disabled' : '';
    return (React.createElement("div", { className: classNames('dropdown-item', disabledClass), onClick: props.onClick },
        React.createElement("div", { className: 'dropdown-item-icon-and-title-container' },
            React.createElement("div", { className: 'dropdown-item-icon-container' }, props.icon),
            React.createElement("p", { className: 'text-body-2' }, props.title)),
        props.subtext &&
            React.createElement("div", { className: classNames('dropdown-item-subtext-container', 'text-subtext-1') }, props.subtext)));
};
export default DropdownItem;
//# sourceMappingURL=DropdownItem.js.map