// Copyright (c) Mito
import React from 'react';
import '../../../css/elements/MultiToggleBox.css';
import { classNames } from '../../utils/classNames';
/*
  A box that contains a variety of options that can be toggled on and off indivigually.
  
  If optional toggleAllOptions are passed, then a Toggle All button is also displayed
  that toggles all the buttons at once.
*/
const MultiToggleBox = (props) => {
    const height = props.height || 'block';
    const heightClass = `element-height-${height}`;
    return (React.createElement("div", { className: classNames('multi-toggle-box', heightClass) },
        props.toggleAllOptions !== undefined &&
            React.createElement("div", { key: 'Toggle All', className: classNames('multi-toggle-box-row', { 'multi-toggle-box-row-selected': props.toggleAllOptions.currentToggleAllState }), onClick: props.toggleAllOptions.toggleAll },
                React.createElement("input", { key: 'Toggle All', type: "checkbox", name: 'Toggle All', checked: props.toggleAllOptions.currentToggleAllState }),
                "Toggle All"),
        props.itemsArray.map((item, index) => {
            const currentToggle = props.itemToggleState[index];
            return (React.createElement("div", { key: index, className: classNames('multi-toggle-box-row', { 'multi-toggle-box-row-selected': currentToggle }, 'text-overflow-hide'), onClick: () => { props.toggleItemAtIndex(index); } },
                React.createElement("input", { key: index, className: "ml-20px", name: index.toString() + 'input', type: "checkbox", checked: currentToggle }),
                item));
        })));
};
export default MultiToggleBox;
//# sourceMappingURL=MultiToggleBox.js.map