// Copyright (c) Mito
import React from 'react';
import { COLUMN_TYPE_TO_SELECT_OPTIONS, CONDITIONS_WITH_NO_INPUT } from './filterConditions';
import Row from '../../../../spacing/Row';
import Col from '../../../../spacing/Col';
import Select from '../../../../elements/Select';
import XIcon from '../../../../icons/XIcon';
/*
    
*/
export function Filter(props) {
    // We hide the input if it is not necessary
    const inputStyle = CONDITIONS_WITH_NO_INPUT.includes(props.filter.condition) ? { 'visibility': 'hidden' } : { 'visibility': 'visible' };
    return (React.createElement(Row, { justify: 'space-between', align: 'center' },
        React.createElement(Col, { span: !props.inGroup ? 4 : 5 },
            props.first &&
                React.createElement("p", { className: 'text-body-1' }, "Where"),
            !props.first &&
                React.createElement(Select, { value: props.operator, options: ['And', 'Or'], onChange: (newOperator) => props.setOperator(newOperator) })),
        React.createElement(Col, { span: 7 },
            React.createElement(Select, { value: props.filter.condition, options: COLUMN_TYPE_TO_SELECT_OPTIONS[props.filter.type], onChange: (newFilterCondition) => {
                    props.setFilter({
                        type: props.filter.type,
                        condition: newFilterCondition,
                        value: props.filter.value
                    });
                }, width: 'block' })),
        React.createElement(Col, { span: 9 },
            React.createElement("input", { className: 'input element-width-block', style: inputStyle, type: props.filter.type === "datetime_series" /* DATETIME_SERIES */ ? 'date' : 'text', value: props.filter.value, onChange: e => {
                    props.setFilter({
                        type: props.filter.type,
                        condition: props.filter.condition,
                        value: e.target.value
                    });
                } })),
        React.createElement(Col, null,
            React.createElement(XIcon, { onClick: props.deleteFilter }))));
}
//# sourceMappingURL=Filter.js.map