// Copyright (c) Mito
import React, { useState } from 'react';
// Import Components 
import Tooltip from '../../Tooltip';
import '../../../../css/taskpanes/Documentation/DocumentationBasicExample.css';
/*
    Returns a documentation entry for displaying your first
    mito sheet - with copyable Python code!
*/
const CallMitoSheetExampleContent = () => {
    const [copyStatus, setCopyStatus] = useState('Click to copy!');
    const copyToClipBoard = () => {
        // We create a temporary element to make copying to the clipboard easy!
        const elem = document.createElement("textarea");
        document.body.appendChild(elem);
        elem.value = 'import pandas as pd\nimport mitosheet\ndf = pd.DataFrame(data={\'Data\': [\'ABC\', \'DEF\']})\nmitosheet.sheet(df)';
        elem.select();
        document.execCommand("copy");
        document.body.removeChild(elem);
        setCopyStatus('Copied!');
    };
    return (React.createElement(React.Fragment, null,
        React.createElement("div", { className: 'documentation-basic-example-title' }, "Basic Example Documentation"),
        React.createElement("p", null, "To edit a Mito sheet, you first have to display your data inside one!"),
        React.createElement("div", { className: 'documentation-basic-example-section-title' }, "Instructions"),
        React.createElement("p", null, "Copy the following code into a cell in your notebook, and run it:"),
        React.createElement("div", { className: 'documentation-basic-example-python' },
            React.createElement("div", { className: 'documentation-basic-example-python-code mb-1', onClick: copyToClipBoard, onMouseLeave: () => { setCopyStatus('Click to copy!'); } },
                React.createElement("div", null, "import pandas as pd"),
                React.createElement("div", null, "import mitosheet"),
                React.createElement("div", null,
                    "df = pd.DataFrame(data=",
                    '{',
                    "'Data': ['ABC', 'DEF']",
                    '}'),
                React.createElement("div", null, "mitosheet.sheet(df)")),
            React.createElement(Tooltip, { tooltip: copyStatus }))));
};
export default CallMitoSheetExampleContent;
//# sourceMappingURL=CallMitoSheetExampleContent.js.map