// Copyright (c) Mito
import React from 'react';
import '../../../../css/taskpanes/Documentation/FunctionDocumentation.css';
import { functionDocumentationObjects } from '../../../data/function_documentation';
/*
    Returns content for the documentation taskpane that includes documentation
    for a specific function!
*/
const FunctionDocumentationContent = (props) => {
    var _a, _b;
    const funcDocObject = functionDocumentationObjects.find((funcDocObject) => {
        return funcDocObject.function === props.function;
    });
    return (React.createElement(React.Fragment, null,
        React.createElement("h1", { className: 'function-documentation-function-name' }, funcDocObject === null || funcDocObject === void 0 ? void 0 : funcDocObject.function),
        React.createElement("p", null, funcDocObject === null || funcDocObject === void 0 ? void 0 : funcDocObject.description),
        React.createElement("h2", { className: 'mb-0' }, "Examples"),
        React.createElement("ul", { className: 'function-documentation-example-list purple-text' }, (_a = funcDocObject === null || funcDocObject === void 0 ? void 0 : funcDocObject.examples) === null || _a === void 0 ? void 0 : _a.map((example) => {
            return React.createElement("li", { className: 'function-documentation-example', key: example }, example);
        })),
        React.createElement("h2", { className: 'mb-0' }, "Syntax"),
        React.createElement("p", { className: 'purple-text' }, funcDocObject === null || funcDocObject === void 0 ? void 0 : funcDocObject.syntax),
        React.createElement("ul", null, (_b = funcDocObject === null || funcDocObject === void 0 ? void 0 : funcDocObject.syntax_elements) === null || _b === void 0 ? void 0 : _b.map((syntax_element) => {
            return (React.createElement("li", { key: syntax_element.element },
                React.createElement("p", { className: 'purple-text' }, syntax_element.element),
                syntax_element.description));
        }))));
};
export default FunctionDocumentationContent;
//# sourceMappingURL=FunctionDocumentationContent.js.map