// Copyright (c) Mito
import React from 'react';
import FileBrowserElement from './FileBrowserElement';
import FileBrowserPathSelector from './FileBrowserPathSelector';
import '../../../../css/taskpanes/Import/FileBrowser.css';
/*
    This file browser component displays a list of files and folders
    and allows a user to navigate through the file and folder.
*/
function FileBrowser(props) {
    var _a, _b;
    return (React.createElement("div", { className: 'file-browser flexbox-column' },
        React.createElement("div", null,
            React.createElement(FileBrowserPathSelector, { setCurrPathParts: props.setCurrPathParts, pathParts: props.pathParts })),
        React.createElement("div", { className: 'file-browser-element-list' }, (_a = props.directories) === null || _a === void 0 ? void 0 :
            _a.map((directory, i) => {
                return (React.createElement(FileBrowserElement, { mitoAPI: props.mitoAPI, key: i, name: directory, isDirectory: true, selectedElement: props.selectedElement, setSelectedElement: props.setSelectedElement, pathParts: props.pathParts, setCurrPathParts: props.setCurrPathParts }));
            }), (_b = props.files) === null || _b === void 0 ? void 0 :
            _b.map((file, i) => {
                return (React.createElement(FileBrowserElement, { mitoAPI: props.mitoAPI, key: i, name: file, isDirectory: false, selectedElement: props.selectedElement, setSelectedElement: props.setSelectedElement, pathParts: props.pathParts, setCurrPathParts: props.setCurrPathParts }));
            }))));
}
export default FileBrowser;
//# sourceMappingURL=FileBrowser.js.map